My Project: Texture Class Reference

My Project

Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Texture Class Reference

`#include <texture.h>`

Inheritance diagram for Texture:

## Public Member Functions

| Texture ()
Texture * | Copy ()
void | FreeTexture ()
void | DrawTexture (int x, int y)
void | TextureBlend (int blend_no)
void | TextureCoords (int coords_no)
void | ScaleTexture (float u_s, float v_s)
void | PositionTexture (float u_p, float v_p)
void | RotateTexture (float ang)
void | BufferToTex (unsigned char *buffer, int frames=0)
void | TexToBuffer (unsigned char *buffer, int frames=0)
void | BackBufferToTex (int frames=0)
void | CameraToTex (Camera *cam, int frames=0)
void | DepthBufferToTex (Camera *cam)
string | TextureName ()
Texture * | TexInList ()
void | FilterFlags ()

## Static Public Member Functions

static Texture * | LoadTexture (string filename, int flags=0)
static Texture * | LoadAnimTexture (string filename, int flags=0, int frame_width=0, int frame_height=0, int first_frame=0, int frame_count=1)
static Texture * | CreateTexture (int width=256, int height=256, int flags=3, int frames=0)
static void | ClearTextureFilters ()
static void | AddTextureFilter (string text_match, int flags)

## Public Attributes

unsigned int | texture
string | file
unsigned int * | frames
int | flags
int | blend
int | coords
float | u_scale
float | v_scale
float | u_pos
float | v_pos
float | angle
string | file_abs
int | width
int | height
int | no_frames
unsigned int * | framebuffer
int | cube_face
int | cube_mode
int | glTexEnv [3][12]
int | glTexEnv_count

## Static Public Attributes

static list< Texture * > | tex_list

## Constructor & Destructor Documentation

## § Texture()

Texture::Texture | ( |  | ) |

inline

## Member Function Documentation

## § AddTextureFilter()

void Texture::AddTextureFilter | ( | string | text_match,
|  | int | flags
| ) |  |

static

## § BackBufferToTex()

void Texture::BackBufferToTex | ( | int | frames = `0` | ) |

## § BufferToTex()

void Texture::BufferToTex | ( | unsigned char * | buffer,
|  | int | frames = `0`
| ) |  |

## § CameraToTex()

void Texture::CameraToTex | ( | Camera * | cam,
|  | int | frames = `0`
| ) |  |

## § ClearTextureFilters()

void Texture::ClearTextureFilters | ( |  | ) |

static

## § Copy()

Texture * Texture::Copy | ( |  | ) |

## § CreateTexture()

Texture * Texture::CreateTexture | ( | int | width = `256`,
|  | int | height = `256`,
|  | int | flags = `3`,
|  | int | frames = `0`
| ) |  |

static

## § DepthBufferToTex()

void Texture::DepthBufferToTex | ( | Camera * | cam = `0` | ) |

## § DrawTexture()

void Texture::DrawTexture | ( | int | x,
|  | int | y
| ) |  |

## § FilterFlags()

void Texture::FilterFlags | ( |  | ) |

## § FreeTexture()

void Texture::FreeTexture | ( |  | ) |

## § LoadAnimTexture()

Texture * Texture::LoadAnimTexture | ( | string | filename,
|  | int | flags = `0`,
|  | int | frame_width = `0`,
|  | int | frame_height = `0`,
|  | int | first_frame = `0`,
|  | int | frame_count = `1`
| ) |  |

static

## § LoadTexture()

Texture * Texture::LoadTexture | ( | string | filename,
|  | int | flags = `0`
| ) |  |

static

## § PositionTexture()

void Texture::PositionTexture | ( | float | u_p,
|  | float | v_p
| ) |  |

## § RotateTexture()

void Texture::RotateTexture | ( | float | ang | ) |

## § ScaleTexture()

void Texture::ScaleTexture | ( | float | u_s,
|  | float | v_s
| ) |  |

## § TexInList()

Texture * Texture::TexInList | ( |  | ) |

## § TexToBuffer()

void Texture::TexToBuffer | ( | unsigned char * | buffer,
|  | int | frames = `0`
| ) |  |

## § TextureBlend()

void Texture::TextureBlend | ( | int | blend_no | ) |

## § TextureCoords()

void Texture::TextureCoords | ( | int | coords_no | ) |

## § TextureName()

string Texture::TextureName | ( |  | ) |

## Member Data Documentation

## § angle

float Texture::angle

## § blend

int Texture::blend

## § coords

int Texture::coords

## § cube_face

int Texture::cube_face

## § cube_mode

int Texture::cube_mode

## § file

string Texture::file

## § file_abs

string Texture::file_abs

## § flags

int Texture::flags

## § framebuffer

unsigned int* Texture::framebuffer

## § frames

unsigned int* Texture::frames

## § glTexEnv

int Texture::glTexEnv[3][12]

## § glTexEnv_count

int Texture::glTexEnv_count

## § height

int Texture::height

## § no_frames

int Texture::no_frames

## § tex_list

list< Texture * > Texture::tex_list

static

## § texture

unsigned int Texture::texture

## § u_pos

float Texture::u_pos

## § u_scale

float Texture::u_scale

## § v_pos

float Texture::v_pos

## § v_scale

float Texture::v_scale

## § width

int Texture::width

The documentation for this class was generated from the following files:

- openb3dlib.mod/openb3d/src/texture.h
- openb3dlib.mod/openb3d/src/texture.cpp